export var compose = function compose(a, b) {
  return function (x) {
    return a(b(x));
  };
};

export var identity = function identity(x) {
  return x;
};

export var includes = function includes(x, arr) {
  return arr.indexOf(x) > -1;
};

export var isArray = function isArray(x) {
  return typeOf(x) === "array";
};

export var isFunction = function isFunction(x) {
  return typeOf(x) === "function";
};

export var isString = function isString(x) {
  return typeOf(x) === "string";
};

export var isOneOfTypes = function isOneOfTypes(types, x) {
  return includes(typeOf(x), types);
};

export var typeOf = function typeOf(x) {
  return {}.toString.call(x).match(/\s([a-z|A-Z]+)/)[1].toLowerCase();
};