"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var compose = exports.compose = function compose(a, b) {
  return function (x) {
    return a(b(x));
  };
};

var identity = exports.identity = function identity(x) {
  return x;
};

var includes = exports.includes = function includes(x, arr) {
  return arr.indexOf(x) > -1;
};

var isArray = exports.isArray = function isArray(x) {
  return typeOf(x) === "array";
};

var isFunction = exports.isFunction = function isFunction(x) {
  return typeOf(x) === "function";
};

var isString = exports.isString = function isString(x) {
  return typeOf(x) === "string";
};

var isOneOfTypes = exports.isOneOfTypes = function isOneOfTypes(types, x) {
  return includes(typeOf(x), types);
};

var typeOf = exports.typeOf = function typeOf(x) {
  return {}.toString.call(x).match(/\s([a-z|A-Z]+)/)[1].toLowerCase();
};